Skip to main content
PATCH
@firma-dev/sdk

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Body

application/json

Update template properties

name
string

Template name

Maximum string length: 255
description
string

Template description

document
string<byte>

Base64-encoded PDF or DOCX to replace document. DOCX files are automatically converted to PDF. For documents larger than 5 MB, use POST /documents and pass the document_id instead. (mutually exclusive with document_id)

document_id
string<uuid>

ID of a previously uploaded document (mutually exclusive with document). Obtain by calling POST /documents first.

Example:

"123e4567-e89b-12d3-a456-426614174000"

expiration_hours
integer

Hours until expiration

Required range: x >= 1
settings
object

Response

Template partially updated successfully

Template partial update result

message
string
required
updated_fields
string[]
required

Returned when updating properties

user
object

Returned when updating/creating a user